CarMax: Search
Search from CarMax as JSON. 1 credit per successful call.
GET /v1/carmax/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
make | string | Optional | Up to 64 characters |
model | string | Optional | Up to 64 characters |
year | string | Optional | Up to 16 characters |
mileage | string | Optional | Up to 16 characters |
price | string | Optional | Up to 16 characters |
sort | string | Optional | bestmatch, distance-asc, price-asc, price-desc, mileage-asc, mileage-desc, year-desc, year-asc, newarrival |
zip | string | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/carmax/search" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.